%global edataserver_version 3.45.1
%global libical_version 1.0.9
%global gtk4_version 4.11.2
%global libadwaita_version 1.4~alpha

%global tarball_version %%(echo %{version} | tr '~' '.')

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-calendar
Version:	48.1
Release:	%mkrel 2
Summary:	Simple and beautiful calendar application designed to fit GNOME 3

License:	GPLv3+
URL:		https://wiki.gnome.org/Apps/Calendar
Group:		Graphical desktop/GNOME

Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz

BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(geocode-glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(gweather4)
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(goa-1.0) >= 3.2.0
BuildRequires:	pkgconfig(libecal-2.0) >= %{edataserver_version}
BuildRequires:	pkgconfig(libgeoclue-2.0)
BuildRequires:	pkgconfig(libedataserver-1.2) >= %{edataserver_version}
BuildRequires:	pkgconfig(libical) >= %{libical_version}
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	appstream-util
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gsettings-desktop-schemas)

%description
Calendar is a simple and beautiful calendar application designed to fit
GNOME 3.
Features:
* Week, month and year views
* Basic editing of events
* Evolution Data Server integration
* Search support

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install
%{find_lang} %{name}

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Calendar.desktop
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_metainfodir}/org.gnome.*.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.gschema.xml
# co-own these directories
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini
%{_iconsdir}/hicolor/*/apps/org.gnome.Calendar*.*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 48.1-2.mga10
+ Revision: 2248891
- Mageia 10 Mass Rebuild

* Thu Mar 20 2025 daviddavid <daviddavid> 48.1-1.mga10
+ Revision: 2167093
- new version 48.1

* Wed Mar 19 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2167002
- new version 48.0

* Wed Sep 18 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2097970
- new version 47.0

* Sun Jun 02 2024 daviddavid <daviddavid> 46.1-1.mga10
+ Revision: 2069191
- new version 46.1

* Thu Mar 28 2024 daviddavid <daviddavid> 46.0-2.mga10
+ Revision: 2052854
- rebuild for new evolution-data-server 3.52.0

* Tue Mar 19 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050618
- new version 46.0

* Thu Dec 07 2023 daviddavid <daviddavid> 45.1-1.mga10
+ Revision: 2014183
- new version 45.1

* Sat Sep 30 2023 tv <tv> 45.0-1.mga10
+ Revision: 1992575
- Update to 45.0

* Mon Apr 24 2023 neoclust <neoclust> 44.1-1.mga9
+ Revision: 1954667
- New version 44.1

* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1953927
- update to 44.0

* Tue Oct 18 2022 ovitters <ovitters> 43.1-1.mga9
+ Revision: 1897427
- new version 43.1

* Wed Sep 21 2022 tv <tv> 43.0-1.mga9
+ Revision: 1891070
- Update to 43.0

* Wed Jun 15 2022 ovitters <ovitters> 42.2-1.mga9
+ Revision: 1864444
- new version 42.2

* Wed Apr 27 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1854531
- new version 42.1

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1800422
- Update to 42.0

* Wed Mar 16 2022 tv <tv> 42~rc-1.mga9
+ Revision: 1794631
- Update to 42.rc

* Mon Jan 10 2022 tv <tv> 41.2-1.mga9
+ Revision: 1767680
- 41.2

* Thu Jun 03 2021 ovitters <ovitters> 40.2-1.mga9
+ Revision: 1729538
- new version 40.2

* Tue May 11 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1722529
- new version 40.1

* Sat Mar 27 2021 ovitters <ovitters> 40.0-2.mga9
+ Revision: 1711105
- rebuild for evolution-data-server

* Thu Mar 25 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709903
- new version 40.0
- drop the various non-applying upstream marked patches

* Sat Jan 23 2021 tmb <tmb> 3.38.2-3.mga8
+ Revision: 1673100
- rebuild for new libical

* Sat Jan 23 2021 tmb <tmb> 3.38.2-2.mga8
+ Revision: 1673082
- rebuild for new libical

* Thu Dec 17 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1658678
- new version 3.38.2

* Sun Nov 08 2020 wally <wally> 3.38.1-2.mga8
+ Revision: 1643639
- add upstream patch to port to libhandy-1

* Sun Oct 04 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632119
- new version 3.38.1

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625309
- new version 3.38.0

* Fri Sep 11 2020 tv <tv> 3.37.92-1.mga8
+ Revision: 1624375
- 3.37.92

* Thu Aug 13 2020 ovitters <ovitters> 3.36.2-2.mga8
+ Revision: 1613757
- rebuild for evolution-data-server

* Thu Jun 18 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1595774
- new version 3.36.2

* Thu Apr 16 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1567915
- new version 3.36.1

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554553
- new version 3.36.0

* Sat Feb 29 2020 tv <tv> 3.35.92-1.mga8
+ Revision: 1552423
- BR pkgconfig(libhandy-0.0)
+ ovitters <ovitters>
- new version 3.35.92
- dropped merged patch 0001-Fix-app-ID-outside-devel-profile.patch

* Mon Feb 24 2020 tv <tv> 3.35.2-1.mga8
+ Revision: 1549989
- 3.35.2

* Sun Feb 16 2020 umeabot <umeabot> 3.34.2-2.mga8
+ Revision: 1535064
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1450881
- new version 3.34.2

* Mon Oct 07 2019 daviddavid <daviddavid> 3.34.1-1.mga8
+ Revision: 1450298
- new version 3.34.1

* Tue Sep 10 2019 tv <tv> 3.34.0-1.mga8
+ Revision: 1439273
- backport one more crasher fix
- new release

* Wed Aug 07 2019 tv <tv> 3.33.4-1.mga8
+ Revision: 1427848
- new release

* Sat May 11 2019 daviddavid <daviddavid> 3.32.2-1.mga7
+ Revision: 1397172
- new version 3.32.2

* Sun Apr 28 2019 daviddavid <daviddavid> 3.32.1-1.mga7
+ Revision: 1395804
- new version 3.32.1

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392299
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374066
- new version 3.32.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.90-1.mga7
+ Revision: 1373056
- new version 3.31.90

* Sat Nov 03 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1327817
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256786
- new version 3.30.0

* Tue Aug 28 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1255128
- new version 3.29.92

* Tue Jul 31 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246452
- new version 3.29.90

* Wed May 02 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1224443
- new version 3.28.2

* Tue Apr 10 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1217120
- new version 3.28.1

* Sat Apr 07 2018 kekepower <kekepower> 3.28.0-2.mga7
+ Revision: 1215947
- Rebuild for new libical

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208583
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206799
- new version 3.27.92

* Wed Feb 28 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1205603
- new version 3.27.90

* Wed Jan 17 2018 ovitters <ovitters> 3.26.3-1.mga7
+ Revision: 1194193
- new version 3.26.3
- new version 3.26.2

* Sat Sep 23 2017 tv <tv> 3.26.1-1.mga7
+ Revision: 1158356
- new release

* Mon Jul 17 2017 ovitters <ovitters> 3.24.3-1.mga7
+ Revision: 1124641
- new version 3.24.3

* Tue May 09 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1099910
- new version 3.24.2

* Mon Apr 24 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1097221
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094014
- new version 3.24.0

* Tue Feb 28 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1088166
- new version 3.22.3

* Mon Dec 19 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1076169
- new version 3.22.2

* Sun Oct 02 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1058069
- new version 3.22.1

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1055237
- new version 3.22.0

* Thu Sep 01 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1049724
- new version 3.20.3

* Sun May 08 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011069
- new version 3.20.2

* Thu Apr 14 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001255
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993884
- new version 3.20.0

* Tue Mar 15 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990751
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 983991
- new version 3.19.91

* Wed Feb 17 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 963187
- new version 3.19.90

* Tue Jan 26 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 927861
- rebuild for libical

* Tue Jan 19 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925946
- new version 3.19.4

* Wed Dec 16 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 911069
- new version 3.19.3

* Sat Oct 17 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 892262
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882733
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879420
- new version 3.17.92

* Sun Aug 30 2015 fwang <fwang> 3.17.90-1.mga6
+ Revision: 871274
- use configure2_5x
+ ovitters <ovitters>
- fix group
- clean spec
- from fedora


* Wed Aug 19 2015 Kalev Lember <klember@redhat.com> - 3.17.90-1
- Update to 3.17.90

* Mon Jul 20 2015 David King <amigadave@amigadave.com> - 3.17.4-1
- Update to 3.17.4

* Tue Jun 23 2015 David King <amigadave@amigadave.com> - 3.17.3-1
- Update to 3.17.3
- Use pkgconfig for BuildRequires

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.17.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun May 31 2015 Kalev Lember <kalevlember@gmail.com> - 3.17.2-1
- Update to 3.17.2

* Tue May 12 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.2-1
- Update to 3.16.2

* Tue Apr 28 2015 Milan Crha <mcrha@redhat.com> - 3.16.1-2
- Rebuild for newer evolution-data-server

* Thu Apr 16 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.1-1
- Update to 3.16.1

* Fri Mar 20 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.0-1
- Update to 3.16.0

* Tue Mar 17 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.92-1
- Update to 3.15.92

* Tue Mar 03 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.91-1
- Update to 3.15.91
- Drop large ChangeLog file from docs

* Tue Feb 17 2015 David King <amigadave@amigadave.com> - 3.15.90-2
- Add missing colon after glib-compile-schemas

* Tue Feb 17 2015 David King <amigadave@amigadave.com> - 3.15.90-1
- Update to 3.15.90
- Use license macro for COPYING

* Sun Jan 25 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.4.1-2
- Add check section
- Add hook for mime entry

* Sat Jan 24 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.4.1-1
- 3.15.4.1

* Wed Jan 21 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.4-1
- 3.15.4

* Fri Jan 02 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.3.1-1
- Initial package
